TE-BedrockBreakerEnchant 4.0.0

Break bedrocks with this enchant!

  1. Gradlised, using new VKLib's dynamic event listener framework.

    vk2gpz
    Gradlised, using new VKLib's dynamic event listener framework.
  2. Includes the default config file. TE v14 ready.

    vk2gpz
    Includes the default config file. TE v14 ready.
  3. updated the event handling method.

    vk2gpz
    updated the event handling method.
  4. If a tool is a durable tool, breaking a bedrock will damage the tool

    vk2gpz
    If a tool is a durable tool, breaking a bedrock will damage the tool (requested by @Kroh)
    Kroh likes this.
  5. top layer protection is applied only in the nether world.

    vk2gpz
    top layer protection is applied only in the nether world.

    if you have a nether world without bedrock roof, you can set the top_protected_layers to -127 .
  6. addressed the issue of previously broken bedrock not responsive.

    vk2gpz
    addressed the issue of previously broken bedrock not responsive.
  7. it uses a regular BlockBreakEvent

    vk2gpz
    it uses a regular BlockBreakEvent
  8. updated to use the new TE function.

    vk2gpz
    updated to use the new TE function.
  9. added explicit top and bottom protected layer options.

    vk2gpz
    added explicit top and bottom protected layer options.

    bottom_protected_layers : 3
    top_protected_layers: 3

    if you set it to 0, there won't be no protection.
  10. added "protected_layers: <int>" option.

    vk2gpz
    added "protected_layers: <int>" option.

    the default value is 3.

    bedrock at the y level less than 3 (in the normal world) or larger than 127 (in the nether world) won't be broken.